{% extends "base.html" %}
{% load i18n diesos_extras %}
{% block title %}{{ object.name }}{% endblock %}
{% block content %}
  <div class="row mt-2">
    <div class="col-12">
      <h1>{% if object.icon_class %}<i class="h1 {{ object.icon_class }} me-2"></i>{% endif %}{{ object.name }}</h1>
      <p><i>{{ object.description }}</i></p>
      <div class="d-flex flex-row">
        <div class="me-2"><p><strong><i class="bi-stopwatch"></i> {% if object.duration %}{{ object.duration|format_duration }}{% else %}{% translate 'undefined' %}{% endif %}</strong></p></div>
        {% if object.color %}<div style="width:1.5em;height:1.5em;background-color:{{ object.color }}; border-radius:20%; "></div>{% endif %}
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.treatments.change_treatmenttype %}
          <a href="{% url 'treatments:change-treatment-type' object.id %}" class="btn btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
      {%  endif %}
      {% if perms.treatments.delete_treatmenttype %}
          <a href="{% url 'treatments:delete-treatment-type' object.id %}" class="btn btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
      {%  endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      {% include 'treatments/snippets/processingline_detail_table.html' with processing_line=object_list show_type=False show_processing=True %}
    </div>
  </div>
{% endblock %}
